<?php

$lawyer_hub_tp_theme_css = '';

//theme-color
$lawyer_hub_tp_color_option = get_theme_mod('lawyer_hub_tp_color_option');

// 1st color
$lawyer_hub_tp_color_option = get_theme_mod('lawyer_hub_tp_color_option', '#ec4933');
if ($lawyer_hub_tp_color_option) {
    $lawyer_hub_tp_theme_css .= ':root {';
    $lawyer_hub_tp_theme_css .= '--color-primary1: ' . esc_attr($lawyer_hub_tp_color_option) . '!important;';
    $lawyer_hub_tp_theme_css .= '}';
}

//hover color
$lawyer_hub_tp_color_option_link = get_theme_mod('lawyer_hub_tp_color_option_link');

if($lawyer_hub_tp_color_option_link != false){
$lawyer_hub_tp_theme_css .='.prev.page-numbers:focus, .prev.page-numbers:hover, .next.page-numbers:focus, .next.page-numbers:hover, #comments input[type="submit"]:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, #footer button[type="submit"]:hover, #theme-sidebar button[type="submit"]:hover,.book-tkt-btn a.register-btn:hover,#about .more-btn a:hover, #services .book-tkt-btn a.register-btn:hover,span.meta-nav:hover,.more-btn a:hover ,.search-box i:hover, nav.woocommerce-MyAccount-navigation ul li:hover, #slider .more-btn a:hover ,.wc-block-cart__submit-container a:hover{';
	$lawyer_hub_tp_theme_css .='background: '.esc_attr($lawyer_hub_tp_color_option_link).';';
$lawyer_hub_tp_theme_css .='}';
}
if($lawyer_hub_tp_color_option_link != false){
$lawyer_hub_tp_theme_css .='#theme-sidebar a:hover,.media-links i:hover,.site-info a:hover,.page-box h4 a:hover, #footer table#wp-calendar a:hover ,  a:hover, .logo p a :hover, a:hover,.post_tag a:hover,.main-navigation a:hover,.main-navigation .current_page_item > a, .main-navigation .current-menu-item > a, .readmore-btn a:hover,#footer .tagcloud a:hover,.post_tag a:hover, #theme-sidebar .tagcloud a:hover, #theme-sidebar .widget_tag_cloud a:hover,#footer li a:hover,#footer p.wp-block-tag-cloud a:hover{';
	$lawyer_hub_tp_theme_css .='color: '.esc_attr($lawyer_hub_tp_color_option_link).';';
$lawyer_hub_tp_theme_css .='}';
}
if($lawyer_hub_tp_color_option_link != false){
$lawyer_hub_tp_theme_css .='.readmore-btn a:hover,#footer .tagcloud a:hover,.post_tag a:hover, #theme-sidebar .tagcloud a:hover, #theme-sidebar .widget_tag_cloud a:hover,#footer p.wp-block-tag-cloud a:hover{';
	$lawyer_hub_tp_theme_css .='border-color: '.esc_attr($lawyer_hub_tp_color_option_link).';';
$lawyer_hub_tp_theme_css .='}';
}

//Font Weight
$lawyer_hub_menu_font_weight = get_theme_mod( 'lawyer_hub_menu_font_weight','600');
if($lawyer_hub_menu_font_weight == '100'){
$lawyer_hub_tp_theme_css .='.main-navigation a{';
    $lawyer_hub_tp_theme_css .='font-weight: 100;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_menu_font_weight == '200'){
$lawyer_hub_tp_theme_css .='.main-navigation a{';
    $lawyer_hub_tp_theme_css .='font-weight: 200;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_menu_font_weight == '300'){
$lawyer_hub_tp_theme_css .='.main-navigation a{';
    $lawyer_hub_tp_theme_css .='font-weight: 300;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_menu_font_weight == '400'){
$lawyer_hub_tp_theme_css .='.main-navigation a{';
    $lawyer_hub_tp_theme_css .='font-weight: 400;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_menu_font_weight == '500'){
$lawyer_hub_tp_theme_css .='.main-navigation a{';
    $lawyer_hub_tp_theme_css .='font-weight: 500;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_menu_font_weight == '600'){
$lawyer_hub_tp_theme_css .='.main-navigation a{';
    $lawyer_hub_tp_theme_css .='font-weight: 600;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_menu_font_weight == '700'){
$lawyer_hub_tp_theme_css .='.main-navigation a{';
    $lawyer_hub_tp_theme_css .='font-weight: 700;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_menu_font_weight == '800'){
$lawyer_hub_tp_theme_css .='.main-navigation a{';
    $lawyer_hub_tp_theme_css .='font-weight: 800;';
$lawyer_hub_tp_theme_css .='}';
}else if($lawyer_hub_menu_font_weight == '900'){
$lawyer_hub_tp_theme_css .='.main-navigation a{';
    $lawyer_hub_tp_theme_css .='font-weight: 900;';
$lawyer_hub_tp_theme_css .='}';
}
// logo
$lawyer_hub_logo_tagline_color = get_theme_mod('lawyer_hub_logo_tagline_color');
if($lawyer_hub_logo_tagline_color != false){
$lawyer_hub_tp_theme_css .='.logo p.site-description{';
$lawyer_hub_tp_theme_css .='color: '.esc_attr($lawyer_hub_logo_tagline_color).'!important;';
$lawyer_hub_tp_theme_css .='}';
}

// About Section ANimation
$legal_law_consulting_services_animation = get_theme_mod( 'legal_law_consulting_services_animation', true );
if ( $legal_law_consulting_services_animation ) {
    $lawyer_hub_tp_theme_css .= '#services { animation: bounceInDown 3s; animation-fill-mode: both; }';
}